#include <Wire.h>             //Allows I2C com using SDA and SCL pins.
#include <Adafruit_L3GD20.h>  //Loading sensor's library.

Adafruit_L3GD20 gyro;        //Naming sensor


#include <SoftwareSerial.h>          // SoftwareSerial allows serial com with Attiny
#define rxPin 3
#define txPin 5

SoftwareSerial serial(rxPin, txPin);


void setup() 
{
  serial.begin(9600);
  
  // Try to initialise and warn if we couldn't detect the chip
   if (!gyro.begin(gyro.L3DS20_RANGE_250DPS))       //You can choose your range here by comment/uncomment
  //if (!gyro.begin(gyro.L3DS20_RANGE_500DPS))
  //if (!gyro.begin(gyro.L3DS20_RANGE_2000DPS))
  {
    serial.println("Oops ... unable to initialize the L3GD20. Check your wiring!");
    while (1);
  }
}

void loop() 
{
  gyro.read();
  serial.print("X: "); serial.print((int)gyro.data.x);   serial.print(" ");     //Data's serial prints
  serial.print("Y: "); serial.print((int)gyro.data.y);   serial.print(" ");
  serial.print("Z: "); serial.println((int)gyro.data.z); serial.print(" ");
  delay(100);
}
